<?php

namespace App\Entities\PagSeguro\Order;

use App\Utils\Builder;

class PagSeguroAmountBuilder implements Builder {
	protected $value;
	protected $currency;

	public function build(): PagSeguroAmount {

		$obj = new PagSeguroAmount();

		$obj->setValue( $this->value );
		$obj->setCurrency( $this->currency );

		return $obj;

	}

	/**
	 *
	 * @param mixed $value
	 */
	public function setValue($value): PagSeguroAmountBuilder {

		$this->value = $value;
		return $this;

	}

	/**
	 *
	 * @param mixed $currency
	 */
	public function setCurrency($currency): PagSeguroAmountBuilder {

		$this->currency = $currency;
		return $this;

	}

}

